## g-golf 0.8.0~rc1

=== examples/adw-1/adw1-demo/ui/Makefile ===

####
#### Copyright (C) 2023
#### Free Software Foundation, Inc.

#### This file is part of GNU G-Golf.

#### GNU G-Golf is free software; you can redistribute it and/or
#### modify it under the terms of the GNU General Public License as
#### published by the Free Software Foundation; either version 3 of the
#### License, or (at your option) any later version.

#### GNU G-Golf is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of
#### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#### General Public License for more details.

#### You should have received a copy of the GNU General Public License
#### along with GNU G-Golf.  If not, see
#### <https://www.gnu.org/licenses/gpl.html>.
####

### Commentary:

### Code:


SCM_SRC := $(shell find . -name "*.scm")

XML = $(subst .scm,.ui,$(SCM_SRC))

all: $(XML)

$(XML): %.ui: %.scm
	( cd `dirname $<`;		\
	  guile --debug			\
	     -l `basename $<`		\
	     -c '(make-ui)'	\
	     > `basename $@` || { rm `basename $@`; false; } )

clean:
	rm -f $(XML)

=== debian/changelog ===
g-golf (0.8.0~rc1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:44:14 +0000

g-golf (0.8.0~rc1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:23:32 +0000

g-golf (0.8.0~rc1-2) unstable; urgency=medium

  * Source-only upload required by Debian.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Mon, 08 Jan 2024 08:30:44 +0200

g-golf (0.8.0~rc1-1) unstable; urgency=medium

  * Initial release. (Closes: #1054342)

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sat, 28 Oct 2023 13:32:37 +0300

=== debian/control ===
Source: g-golf
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
Build-Depends: debhelper-compat (= 13), texinfo (>= 6.6), pkg-config,
 libgirepository1.0-dev (>= 1.72.0),
 libglib2.0-dev (>= 2.73.0),
 guile-library (>= 0.2.5), guile-3.0 (>= 3.0.8), guile-3.0-dev (>= 3.0.8)
Standards-Version: 4.6.2
Homepage: https://www.gnu.org/software/g-golf/
Build-Conflicts: g-golf
Vcs-Git: https://salsa.debian.org/tohoyn-guest/g-golf.git
Vcs-Browser: https://salsa.debian.org/tohoyn-guest/g-golf
Rules-Requires-Root: no

Package: g-golf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libgirepository1.0-dev (>= 1.72.0), libglib2.0-dev (>= 2.73.0),
 guile-library (>= 0.2.5),
 guile-${guile-version} (>= ${guile-version2}),
 guile-${guile-version}-dev (>= ${guile-version2})
Description: Guile Object Library for GNOME
 G-Golf low level API comprises a binding to - (most of) the GObject
 Introspection and (some of) the GObject and Glib libraries, as well as
 additional (G-Golf) utilities - used to import GObject libraries and
 build their corresponding G-Golf high level API.
 G-Golf high level API makes (imported) GOBject classes and methods
 available using GOOPS, the Guile Object Oriented System.
 G-Golf is a tool to develop modern graphical applications.

Package: g-golf-gtk-4-examples
Architecture: all
Depends: ${misc:Depends}, g-golf, gir1.2-gtk-4.0
Description: G-Golf example programs for the GTK 4.0 user interface library
 This package contains Guile Scheme example programs using G-Golf and the
 GTK 4.0 library.

Package: g-golf-adw-1-examples
Architecture: all
Depends: ${misc:Depends}, g-golf, gir1.2-adw-1 (>= 1.4.0)
Description: G-Golf example programs for the Adwaita user interface library
 This package contains Guile Scheme example programs using G-Golf and the
 Adwaita library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

GUILE_VERSION = 3.0
GUILE_VERSION2 = $(shell dpkg-query -Wf '$${source:Upstream-Version}' guile-3.0)

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh
#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_auto_configure:
	GUILE=/usr/bin/guile-$(GUILE_VERSION) \
	GUILD=/usr/bin/guild-$(GUILE_VERSION) \
	GUILE_EFFECTIVE_VERSION=$(GUILE_VERSION) \
	./configure --build=$(DEB_HOST_MULTIARCH) --prefix=/usr \
	  --includedir=/usr/include --mandir=/usr/share/man \
	  --infodir=/usr/share/info --sysconfdir=/etc \
	  --localstatedir=/var --disable-option-checking \
	  --disable-silent-rules --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  --runstatedir=/run --disable-dependency-tracking \
	  --with-guile-site=yes

override_dh_dwz:
	dh_dwz -X.go

override_dh_shlibdeps:
	dh_shlibdeps -X.go

override_dh_auto_install:
	dh_auto_install
	-rm debian/*/usr/lib/*/libg-golf.la

override_dh_gencontrol:
	dh_gencontrol -- -Vguile-version="$(GUILE_VERSION)" \
	  -Vguile-version2="$(GUILE_VERSION2)"

override_dh_compress:
	dh_compress -X.scm -X.ui

## g-golf 0.8.0~rc2

=== debian/changelog ===
g-golf (0.8.0~rc2-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc2.
  * Updated dependency versions in debian/control.
  * Removed Guile version setting for debian/control in debian/rules.
  * Changed the example directories to /usr/share/doc/X/examples and fixed
    the execute permissions.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Mon, 18 Mar 2024 13:17:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: g-golf
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
-Build-Depends: debhelper-compat (= 13), texinfo (>= 6.6), pkg-config,
+Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
+Build-Depends: debhelper-compat (= 13), texinfo (>= 6.6), pkgconf,
  libgirepository1.0-dev (>= 1.72.0),
  libglib2.0-dev (>= 2.73.0),
- guile-library (>= 0.2.5), guile-3.0 (>= 3.0.8), guile-3.0-dev (>= 3.0.8)
+ guile-library (>= 0.2.5), guile-3.0 (>= 3.0.7), guile-3.0-dev (>= 3.0.7)
 Standards-Version: 4.6.2
 Homepage: https://www.gnu.org/software/g-golf/
 Build-Conflicts: g-golf
@@ -19,8 +18,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
  libgirepository1.0-dev (>= 1.72.0), libglib2.0-dev (>= 2.73.0),
  guile-library (>= 0.2.5),
- guile-${guile-version} (>= ${guile-version2}),
- guile-${guile-version}-dev (>= ${guile-version2})
+ guile-3.0 (>= 3.0.7),
+ guile-3.0-dev (>= 3.0.7)
 Description: Guile Object Library for GNOME
  G-Golf low level API comprises a binding to - (most of) the GObject
  Introspection and (some of) the GObject and Glib libraries, as well as
@@ -32,7 +31,8 @@
 
 Package: g-golf-gtk-4-examples
 Architecture: all
-Depends: ${misc:Depends}, g-golf, gir1.2-gtk-4.0
+Depends: ${misc:Depends}, g-golf, gir1.2-gtk-4.0 (>= 4.8.0),
+ guile-cairo (>= 1.12.0~pre1-1)
 Description: G-Golf example programs for the GTK 4.0 user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  GTK 4.0 library.

## g-golf 0.8.0~rc3

=== debian/changelog ===
g-golf (0.8.0~rc3-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc3.
  * Updated dependency gir1.2-adw-1 to version >= 1.5.0 in debian/control.
  * Changed Standards-Version to 4.7.0 in debian/control.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sat, 04 May 2024 11:42:17 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libgirepository1.0-dev (>= 1.72.0),
  libglib2.0-dev (>= 2.73.0),
  guile-library (>= 0.2.5), guile-3.0 (>= 3.0.7), guile-3.0-dev (>= 3.0.7)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/g-golf/
 Build-Conflicts: g-golf
 Vcs-Git: https://salsa.debian.org/tohoyn-guest/g-golf.git
@@ -39,7 +39,7 @@
 
 Package: g-golf-adw-1-examples
 Architecture: all
-Depends: ${misc:Depends}, g-golf, gir1.2-adw-1 (>= 1.4.0)
+Depends: ${misc:Depends}, g-golf, gir1.2-adw-1 (>= 1.5.0)
 Description: G-Golf example programs for the Adwaita user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  Adwaita library.

## g-golf 0.8.0~rc4

=== debian/changelog ===
g-golf (0.8.0~rc4-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc4.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 12 Jul 2024 10:32:29 +0300

## g-golf 0.8.0~rc5

=== debian/changelog ===
g-golf (0.8.0~rc5-2) unstable; urgency=medium

  * Updated binary package dependencies to be binNMU safe.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Tue, 10 Sep 2024 10:44:20 +0300

g-golf (0.8.0~rc5-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc5.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Mon, 22 Jul 2024 10:57:56 +0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,9 @@
 
 Package: g-golf-gtk-4-examples
 Architecture: all
-Depends: ${misc:Depends}, g-golf, gir1.2-gtk-4.0 (>= 4.8.0),
+Depends: ${misc:Depends},
+ g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
+ gir1.2-gtk-4.0 (>= 4.8.0),
  guile-cairo (>= 1.12.0~pre1-1)
 Description: G-Golf example programs for the GTK 4.0 user interface library
  This package contains Guile Scheme example programs using G-Golf and the
@@ -39,7 +41,9 @@
 
 Package: g-golf-adw-1-examples
 Architecture: all
-Depends: ${misc:Depends}, g-golf, gir1.2-adw-1 (>= 1.5.0)
+Depends: ${misc:Depends},
+ g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
+ gir1.2-adw-1 (>= 1.5.0)
 Description: G-Golf example programs for the Adwaita user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  Adwaita library.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 GUILE_VERSION = 3.0
-GUILE_VERSION2 = $(shell dpkg-query -Wf '$${source:Upstream-Version}' guile-3.0)
 
 %:
 	dh $@ --with autoreconf
@@ -38,9 +37,8 @@
 	dh_auto_install
 	-rm debian/*/usr/lib/*/libg-golf.la
 
-override_dh_gencontrol:
-	dh_gencontrol -- -Vguile-version="$(GUILE_VERSION)" \
-	  -Vguile-version2="$(GUILE_VERSION2)"
+#override_dh_gencontrol:
+#	dh_gencontrol -- -Vguile-version="$(GUILE_VERSION)"
 
 override_dh_compress:
 	dh_compress -X.scm -X.ui

## g-golf 0.8.0

=== examples/adw-1/demo/Makefile ===

####
#### Copyright (C) 2023 - 2024
#### Free Software Foundation, Inc.

#### This file is part of GNU G-Golf.

#### GNU G-Golf is free software; you can redistribute it and/or
#### modify it under the terms of the GNU General Public License as
#### published by the Free Software Foundation; either version 3 of the
#### License, or (at your option) any later version.

#### GNU G-Golf is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of
#### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#### General Public License for more details.

#### You should have received a copy of the GNU General Public License
#### along with GNU G-Golf.  If not, see
#### <https://www.gnu.org/licenses/gpl.html>.
####

### Commentary:

### Code:


SCM_SRC := $(shell find . -name "*-ui.scm")

XML = $(subst .scm,.ui,$(SCM_SRC))

all: $(XML)

$(XML): %.ui: %.scm
	( cd `dirname $<`;		\
	  guile --debug			\
	     -l `basename $<`		\
	     -c '(make-ui)'	\
	     > `basename $@` || { rm `basename $@`; false; } )

clean:
	rm -f $(XML)

=== debian/changelog ===
g-golf (0.8.0-1) unstable; urgency=medium

  * New upstream package 0.8.0.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sun, 09 Feb 2025 11:57:39 +0200

g-golf (0.8.0~rc9-2) unstable; urgency=medium

  * Changed the installation directories of the example packages.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sat, 25 Jan 2025 08:41:08 +0200

g-golf (0.8.0~rc9-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc9.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sat, 14 Dec 2024 11:06:14 +0200

g-golf (0.8.0~rc8-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc8.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 01 Nov 2024 20:27:33 +0200

g-golf (0.8.0~rc7-1) unstable; urgency=medium

  * New upstream package 0.8.0~rc7.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Wed, 02 Oct 2024 16:56:06 +0300

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
 Architecture: all
 Depends: ${misc:Depends},
  g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
- gir1.2-gtk-4.0 (>= 4.8.0),
- guile-cairo (>= 1.12.0~pre1-1)
+ gir1.2-gtk-4.0 (>= 4.8.0), guile-cairo (>= 1.12.0~pre1-1),
+ libgtk-4-dev
 Description: G-Golf example programs for the GTK 4.0 user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  GTK 4.0 library.

## g-golf 0.8.2

=== examples/adw-1/demo/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 
 ####
-#### Copyright (C) 2023 - 2024
+#### Copyright (C) 2023 - 2025
 #### Free Software Foundation, Inc.
 
 #### This file is part of GNU G-Golf.
 
-#### GNU G-Golf is free software; you can redistribute it and/or
-#### modify it under the terms of the GNU General Public License as
+#### GNU G-Golf is free software; you can redistribute it and/or modify
+#### it under the terms of the GNU Lesser General Public License as
 #### published by the Free Software Foundation; either version 3 of the
 #### License, or (at your option) any later version.
 
@@ -15,10 +15,9 @@
 #### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 #### General Public License for more details.
 
-#### You should have received a copy of the GNU General Public License
-#### along with GNU G-Golf.  If not, see
+#### You should have received a copy of the GNU Lesser General Public
+#### License along with GNU G-Golf.  If not, see
 #### <https://www.gnu.org/licenses/gpl.html>.
-####
 
 ### Commentary:

=== examples/gtk-4/demos/Makefile ===
####
#### Copyright (C) 2024 - 2025
#### Free Software Foundation, Inc.

#### This file is part of GNU G-Golf

#### GNU G-Golf is free software; you can redistribute it and/or modify
#### it under the terms of the GNU Lesser General Public License as
#### published by the Free Software Foundation; either version 3 of the
#### License, or (at your option) any later version.

#### GNU G-Golf is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of
#### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#### Lesser General Public License for more details.

#### You should have received a copy of the GNU Lesser General Public
#### License along with GNU G-Golf.  If not, see
#### <https://www.gnu.org/licenses/lgpl.html>.
####


CC = gcc

PKGCONFIG = $(shell which pkg-config)

CFLAGS = \
  -fPIC	$(shell $(PKGCONFIG) --cflags glib-2.0 gtk4)

LIBS = \
  -lm $(shell $(PKGCONFIG) --libs glib-2.0 gtk4)

TARGET  = libfpt.so

SOURCES = \
	singular_value_decomposition.c	\
	four_point_transform.c

HEADERS = \
	singular_value_decomposition.h	\
	four_point_transform.h

OBJECTS = $(SOURCES:.c=.o)


all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(CFLAGS) -shared -o $(TARGET) $(OBJECTS) $(LIBS)
	chmod 0644 $@

# the following should be done, according to debian policy, if the libs
# are installed - but adding to the $(TARGET): target would require root
# privs, which is not what we want (till installed).
# chown root:root $@

.DELETE_ON_ERROR:

clean:
	rm -f $(OBJECTS)
	rm -f libfpt.so

=== debian/changelog ===
g-golf (0.8.2-2) unstable; urgency=medium

  * Changed dependency libgirepository1.0-dev to libgirepository-1.0-dev in
    debian/control.
  * closes: #1118822

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Mon, 27 Oct 2025 08:19:04 +0200

g-golf (0.8.2-1) unstable; urgency=medium

  * New upstream package 0.8.2.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Fri, 15 Aug 2025 10:49:56 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>
 Build-Depends: debhelper-compat (= 13), texinfo (>= 6.6), pkgconf,
- libgirepository1.0-dev (>= 1.72.0),
+ libgirepository-1.0-dev (>= 1.72.0),
+ gir1.2-girepository-2.0-dev, gir1.2-glib-2.0-dev,
  libglib2.0-dev (>= 2.73.0),
  guile-library (>= 0.2.5), guile-3.0 (>= 3.0.7), guile-3.0-dev (>= 3.0.7)
 Standards-Version: 4.7.0
@@ -16,7 +17,8 @@
 Package: g-golf
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libgirepository1.0-dev (>= 1.72.0), libglib2.0-dev (>= 2.73.0),
+ libgirepository-1.0-dev (>= 1.72.0), libglib2.0-dev (>= 2.73.0),
+ gir1.2-girepository-2.0-dev, gir1.2-glib-2.0-dev,
  guile-library (>= 0.2.5),
  guile-3.0 (>= 3.0.7),
  guile-3.0-dev (>= 3.0.7)
@@ -34,7 +36,7 @@
 Depends: ${misc:Depends},
  g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
  gir1.2-gtk-4.0 (>= 4.8.0), guile-cairo (>= 1.12.0~pre1-1),
- libgtk-4-dev
+ libgtk-4-dev (>= 4.8.0)
 Description: G-Golf example programs for the GTK 4.0 user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  GTK 4.0 library.
@@ -43,7 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends},
  g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
- gir1.2-adw-1 (>= 1.5.0)
+ gir1.2-adw-1 (>= 1.7.0)
 Description: G-Golf example programs for the Adwaita user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  Adwaita library.

=== debian/rules ===
--- 
+++ 
@@ -41,4 +41,4 @@
 #	dh_gencontrol -- -Vguile-version="$(GUILE_VERSION)"
 
 override_dh_compress:
-	dh_compress -X.scm -X.ui
+	dh_compress -X.scm -X.ui -X/examples/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" https://www.iki.fi/tohoyn/g-golf-debian/g-golf-(.+)\.tar\.xz

## g-golf 0.8.3

=== debian/changelog ===
g-golf (0.8.3-1) unstable; urgency=medium

  * New upstream package 0.8.3.

 -- Tommi Höynälänmaa <tommi.hoynalanmaa@iki.fi>  Sun, 08 Feb 2026 08:32:49 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends},
  g-golf (>= ${source:Version}), g-golf (<< ${source:Version}.1~),
- gir1.2-adw-1 (>= 1.7.0)
+ gir1.2-adw-1 (>= 1.8.0)
 Description: G-Golf example programs for the Adwaita user interface library
  This package contains Guile Scheme example programs using G-Golf and the
  Adwaita library.
